Install docker-php-ext-enable?

  r/docker

I am just starting out with Docker and Laravel and am following this tutorial : https://polcode.com/blog/how-to-run-a-laravel-application-locally-with-docker/

I have all set up as specified and I run "docker-compose up –build" and I get the below error:

Step 4/22 : RUN pecl install mcrypt-1.0.2 docker-php-ext-enable mcrypt ---> Running in c2281e660095 parsePackageName(): only one version/state delimiter "-" is allowed in "docker-php-ext-enable" invalid package name/package file "docker-php-ext-enable" Duplicate package channel://pecl.php.net/mcrypt-1.0.2 found Duplicate package channel://pecl.php.net/mcrypt-1.0.3 found install failed ERROR: Service 'php' failed to build: The command '/bin/sh -c pecl install mcrypt-1.0.2 docker-php-ext-enable mcrypt' returned a non-zero code: 1 

I have searched high and low and can't find anything clear about installing docker-compose up –build.

I am running Ubuntu 18.04.

Do I need to install it and how? Anything else causing the above errors?

submitted by /u/ernievd
[link] [comments]
Source: Reddit

LEAVE A COMMENT